nxt.db

## Class FilteredPreparedStatement

- java.lang.Object
- - nxt.db.FilteredStatement
  - - nxt.db.FilteredPreparedStatement

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

      public class FilteredPreparedStatement
      extends FilteredStatement
      implements java.sql.PreparedStatement

  Wrapper for a SQL PreparedStatement The wrapper forwards all methods to the wrapped prepared statement

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteredPreparedStatement(java.sql.PreparedStatement stmt, java.lang.String sql)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBatch()`
    `void` | `clearParameters()`
    `boolean` | `execute()`
    `long` | `executeLargeUpdate()`
    `java.sql.ResultSet` | `executeQuery()`
    `int` | `executeUpdate()`
    `java.sql.ResultSetMetaData` | `getMetaData()`
    `java.sql.ParameterMetaData` | `getParameterMetaData()`
    `java.lang.String` | `getSQL()`
    `void` | `setArray(int parameterIndex, java.sql.Array x)`
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)`
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setBlob(int parameterIndex, java.sql.Blob x)`
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream)`
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream, long length)`
    `void` | `setBoolean(int parameterIndex, boolean x)`
    `void` | `setByte(int parameterIndex, byte x)`
    `void` | `setBytes(int parameterIndex, byte[] x)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setClob(int parameterIndex, java.sql.Clob x)`
    `void` | `setClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setDate(int parameterIndex, java.sql.Date x)`
    `void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)`
    `void` | `setDouble(int parameterIndex, double x)`
    `void` | `setFloat(int parameterIndex, float x)`
    `void` | `setInt(int parameterIndex, int x)`
    `void` | `setLong(int parameterIndex, long x)`
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value)`
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value, long length)`
    `void` | `setNClob(int parameterIndex, java.sql.NClob value)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setNString(int parameterIndex, java.lang.String value)`
    `void` | `setNull(int parameterIndex, int sqlType)`
    `void` | `setNull(int parameterIndex, int sqlType, java.lang.String typeName)`
    `void` | `setObject(int parameterIndex, java.lang.Object x)`
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)`
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scaleOrLength)`
    `void` | `setObject(int parameterIndex, java.lang.Object x, java.sql.SQLType targetSqlType)`
    `void` | `setObject(int parameterIndex, java.lang.Object x, java.sql.SQLType targetSqlType, int scaleOrLength)`
    `void` | `setRef(int parameterIndex, java.sql.Ref x)`
    `void` | `setRowId(int parameterIndex, java.sql.RowId x)`
    `void` | `setShort(int parameterIndex, short x)`
    `void` | `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)`
    `void` | `setString(int parameterIndex, java.lang.String x)`
    `void` | `setTime(int parameterIndex, java.sql.Time x)`
    `void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)`
    `void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)`
    `void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)`
    `void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)` Deprecated.
    `void` | `setURL(int parameterIndex, java.net.URL x)`

    - ### Methods inherited from class nxt.db.FilteredStatement

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Statement

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### FilteredPreparedStatement

          public FilteredPreparedStatement(java.sql.PreparedStatement stmt,
                                           java.lang.String sql)

  - ### Method Detail

    - #### getSQL

          public java.lang.String getSQL()

    - #### executeQuery

          public java.sql.ResultSet executeQuery()
                                          throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate()
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public void setNull(int parameterIndex,
                              int sqlType)
                       throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBoolean

          public void setBoolean(int parameterIndex,
                                 boolean x)
                          throws java.sql.SQLException

      Specified by:
        `setBoolean` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setByte

          public void setByte(int parameterIndex,
                              byte x)
                       throws java.sql.SQLException

      Specified by:
        `setByte` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setShort

          public void setShort(int parameterIndex,
                               short x)
                        throws java.sql.SQLException

      Specified by:
        `setShort` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setInt

          public void setInt(int parameterIndex,
                             int x)
                      throws java.sql.SQLException

      Specified by:
        `setInt` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setLong

          public void setLong(int parameterIndex,
                              long x)
                       throws java.sql.SQLException

      Specified by:
        `setLong` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setFloat

          public void setFloat(int parameterIndex,
                               float x)
                        throws java.sql.SQLException

      Specified by:
        `setFloat` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDouble

          public void setDouble(int parameterIndex,
                                double x)
                         throws java.sql.SQLException

      Specified by:
        `setDouble` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBigDecimal

          public void setBigDecimal(int parameterIndex,
                                    java.math.BigDecimal x)
                             throws java.sql.SQLException

      Specified by:
        `setBigDecimal` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setString

          public void setString(int parameterIndex,
                                java.lang.String x)
                         throws java.sql.SQLException

      Specified by:
        `setString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBytes

          public void setBytes(int parameterIndex,
                               byte[] x)
                        throws java.sql.SQLException

      Specified by:
        `setBytes` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public void setDate(int parameterIndex,
                              java.sql.Date x)
                       throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public void setTime(int parameterIndex,
                              java.sql.Time x)
                       throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public void setTimestamp(int parameterIndex,
                                   java.sql.Timestamp x)
                            throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                                     java.io.InputStream x,
                                     int length)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                                      java.io.InputStream x,
                                      int length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### clearParameters

          public void clearParameters()
                               throws java.sql.SQLException

      Specified by:
        `clearParameters` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object x,
                                int targetSqlType)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object x)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute()
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public void addBatch()
                        throws java.sql.SQLException

      Specified by:
        `addBatch` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                         java.io.Reader reader,
                                         int length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRef

          public void setRef(int parameterIndex,
                             java.sql.Ref x)
                      throws java.sql.SQLException

      Specified by:
        `setRef` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                              java.sql.Blob x)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                              java.sql.Clob x)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setArray

          public void setArray(int parameterIndex,
                               java.sql.Array x)
                        throws java.sql.SQLException

      Specified by:
        `setArray` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getMetaData

          public java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

      Specified by:
        `getMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public void setDate(int parameterIndex,
                              java.sql.Date x,
                              java.util.Calendar cal)
                       throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public void setTime(int parameterIndex,
                              java.sql.Time x,
                              java.util.Calendar cal)
                       throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public void setTimestamp(int parameterIndex,
                                   java.sql.Timestamp x,
                                   java.util.Calendar cal)
                            throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public void setNull(int parameterIndex,
                              int sqlType,
                              java.lang.String typeName)
                       throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setURL

          public void setURL(int parameterIndex,
                             java.net.URL x)
                      throws java.sql.SQLException

      Specified by:
        `setURL` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getParameterMetaData

          public java.sql.ParameterMetaData getParameterMetaData()
                                                          throws java.sql.SQLException

      Specified by:
        `getParameterMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public void setRowId(int parameterIndex,
                               java.sql.RowId x)
                        throws java.sql.SQLException

      Specified by:
        `setRowId` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public void setNString(int parameterIndex,
                                 java.lang.String value)
                          throws java.sql.SQLException

      Specified by:
        `setNString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                          java.io.Reader value,
                                          long length)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                               java.sql.NClob value)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                              java.io.Reader reader,
                              long length)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                              java.io.InputStream inputStream,
                              long length)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                               java.io.Reader reader,
                               long length)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public void setSQLXML(int parameterIndex,
                                java.sql.SQLXML xmlObject)
                         throws java.sql.SQLException

      Specified by:
        `setSQLXML` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object x,
                                int targetSqlType,
                                int scaleOrLength)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                                     java.io.InputStream x,
                                     long length)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                                      java.io.InputStream x,
                                      long length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                         java.io.Reader reader,
                                         long length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                                     java.io.InputStream x)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                                      java.io.InputStream x)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                         java.io.Reader reader)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                          java.io.Reader value)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                              java.io.Reader reader)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                              java.io.InputStream inputStream)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                               java.io.Reader reader)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object x,
                                java.sql.SQLType targetSqlType,
                                int scaleOrLength)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object x,
                                java.sql.SQLType targetSqlType)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeLargeUpdate

          public long executeLargeUpdate()
                                  throws java.sql.SQLException

      Specified by:
        `executeLargeUpdate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setUnicodeStream

          @Deprecated
          public void setUnicodeStream(int parameterIndex,
                                                   java.io.InputStream x,
                                                   int length)
                                            throws java.sql.SQLException

      Deprecated.
      Specified by:
        `setUnicodeStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`